<?php

require __DIR__ . '/../vendor/autoload.php';

use Nette\Forms\Container,
	Nextras\Forms\Controls,
	Nette\Http\Url,
    Nette\Http\UrlScript,
    Nette\Http;

$configurator = new Nette\Configurator;

//$configurator->setDebugMode('23.75.345.200'); // enable for your remote IP
$configurator->enableDebugger(__DIR__ . '/../log');

$configurator->setTempDirectory(__DIR__ . '/../temp');

$configurator->createRobotLoader()
	->addDirectory(__DIR__)
	->register();

$configurator->addConfig(__DIR__ . '/config/config.neon');
$configurator->addConfig(__DIR__ . '/config/config.local.neon');

Container::extensionMethod('addDateTimePicker', function (Container $container, $name, $label = NULL) {
	return $container[$name] = new Controls\DateTimePicker($label);
});

Container::extensionMethod('addDatePicker', function (Container $container, $name, $label = NULL) {
	return $container[$name] = new Controls\DatePicker($label);
});

$container = $configurator->createContainer();

Container::extensionMethod('addAceEditor', function (Container $container, $name, $label = NULL, array $items = NULL) {
    return $container[$name] = new \App\Components\AceEditor($label, $items);
});

return $container;
