<?php

namespace App\Forms;

use Nette,
	Nette\Application\UI\Form,
	App\Model\ConfigManager,
	App\Presenters\ConfigPresenter;


class PermissionsFormFactory extends Nette\Object
{
	/** @var ConfigManager */
	private $configManager;			
	
	public function __construct(ConfigManager $configManager)
	{
		$this->configManager = $configManager;
	}


	/**
	 * @return Form
	 */
	 
	public function create()
	{
		$data = $this->configManager->load();
		$form = new Form;
		$roles = "";

		$form->addHidden('id');

		$form->addText('name', "Role's\xc2\xa0name:")
			->setAttribute("placeholder", "Role's name")
			->setRequired("Please, fill in the role's name.");

		foreach ($data as $id => $permission) {
			$form->addCheckbox($id, $permission);
		}

		// UPDATE		
		if (isset($_GET['edit']) || !empty($_POST['id'])){
			if(isset($_GET['edit'])){
				$form['id']->setValue($_GET['edit']);
				$permissions = $this->configManager->getRolesPermissions($_GET['edit']);
				$form['name']->setValue($permissions['name']);
				foreach ($permissions[0] as $id => $name) {
					$form[$id]->setValue(1);
				}
			}
			$form->addSubmit('send', 'Update role');
		} else {
			$form->addSubmit('send', 'Create role');
		} 
		
		$form->onSuccess[] = array($this, 'formSucceeded');
		return $form;

	}


	public function formSucceeded($form, $values)
	{
		try {
			if(!empty($values->id)){
				$this->configManager->edit($values, $values->id);
			} else {
				$this->configManager->add($values);
			}
		} catch (\Exception $e) {
			$form->addError("Something went wrong. Please, try it again.");
		}
	}

}
