<?php

namespace App\Forms;

use Nette,
	Nette\Application\UI\Form,
	Nette\Security\User,
	App\Model\LayoutManager,
	Tracy\Debugger;


class ZoneFormFactory extends Nette\Object
{
	/** @var LayoutManager */
	private $layoutManager;			
	
	public function __construct(LayoutManager $layoutManager)
	{
		$this->layoutManager = $layoutManager;
	}


	/**
	 * @return Form
	 */
	public function create()
	{
		$form = new Form;
		
		$form->addText('zonename')
			->setAttribute('placeholder', 'Zone name');
		
		$form->addText('zoneprice')
			->setAttribute('placeholder', 'Zone base price');
			
		$form->addTextarea('upload')
			->setAttribute('placeholder', 'Seat Arrangement');
		
		//$form->addUpload('upload');
			//->addRule(Form::MIME_TYPE, "Unsupported file format.", "text/plain")
			//->addRule(Form::PATTERN, "Unsupported file format.", '\\.txt');

		$form->addButton('reset', 'Reset')
			->setAttribute('class', 'third');
		
		$form->addButton('save', 'Save zone')
			->setAttribute('class', 'second');
		
		$form->addButton('submit_fake', 'Save zone layout');

		//$form->addSubmit('submit', 'Save zone layout')
		//	->setAttribute('style', 'visibility:hidden;');
		
		$form->addHidden('id', "");
		$form->addHidden('json');
		
		$form->onSuccess[] = array($this, 'formSucceeded');
		return $form;
	}


	public function formSucceeded($form, $values)
	{
		try {
			if ($values->id != "") {
				$this->layoutManager->editZones($values->json, $values->id);
			} else {
				$this->layoutManager->addZones($values->json);
			}
		} catch (\Exception $e) {
			$form->addError("We are unnable to save your zone layout. Please, try it later.");	
		}
	}

}
