<?php

namespace App\Presenters;

use Nette,
	App\Model,
	Nette\Security\IAuthorizator;


/**
 * Base presenter for all application presenters.
 */
abstract class BasePresenter extends Nette\Application\UI\Presenter
{
	
	/** @var Nette\Database\Context
	 * @inject
	 */
	 
	public $database;
	
	protected function beforeRender(){
		parent::beforeRender();
		
		/** Is User Logged In? */
		if ($this->getName() != "Mobile") {
			if (!$this->user->isLoggedIn() && $this->getAction() != 'in') {
	        	$this->redirect('Sign:in');
	    	} elseif ($this->isLinkCurrent('in')) {
	    		$this->redirect('Homepage:default');
	    	}
			
			$this->getMenu();
		}
	}


	/**
	 * Gets menu items.
	 * @return int
	 */
	public function getMenu()
	{
		$this->template->main_menu = $this->database->table('menu');
		$this->template->sub_menu = $this->database->table('submenu')->where('menu.menu_link', $this->presenter->getName());				
	}
	
}