<?php

namespace App\Presenters;

use Nette,
	App\Model\MobileManager,
	Nette\Application\Responses\JsonResponse;


/**
 * Mobile presenter for EBSBarcodeScanner.
 */
class MobilePresenter extends Nette\Application\UI\Presenter
{
	/** @var MobileManager @inject */
	public $mobileManager;


	/** 
	 * Handle login.
	 */
	public function renderLogin($username, $password)
	{
		$response = $this->mobileManager->login($username, $password);

        if ( !isset($response['error']) ) {
            $this->user->setExpiration('120 minutes', TRUE);
        }

		$this->sendResponse(new JsonResponse($response));
	}

	public function renderTicket($code)
	{
		$this->sendResponse(new JsonResponse($this->mobileManager->checkTicket($code)));
	}


}
