$.fn.clicktoggle = function(a, b) {
    return this.each(function() {
        var clicked = false;
        $(this).click(function() {
            if (clicked) {
                clicked = false;
                return b.apply(this, arguments);
            }
            clicked = true;
            return a.apply(this, arguments);
        });
    });	
};


$(window).load(function(){
	
	var totalPrice = 0;

	$('#seat-plan').on('mouseenter', 'span.available', function(e) {
		$(this).before( '<div class="price">'+$(this).attr('data-name')+" | "+$(this).attr('data-price')+'</div>' );
		var p = $(this).position();
		$('div.price').attr({'style':'top:'+parseInt(p.top-27)+'px;left:'+parseInt(p.left-($('div.price').outerWidth()-19)/2)+'px;'});
	});

	$('#seat-plan').on('mouseleave', 'span.available', function(e) {
		$('div.price').remove();
	});
	
	
	function addSelected(){
		var id = $(this).attr('data-id');
		var price = $(this).attr('data-price');
		var name = $(this).attr('data-name');
		
		// to JSON
		switch ($(this).attr('class')) {
			case "available":
				$(this).attr({'class':'selected'});
				break;
			case "vips": 
				$(this).attr({'class':'selected_vips'});
				break;
			case "selected":
			case "selected_vips":
				return;
		}
		var s = {};
		s['seats_id'] = id;
		s['seats_price'] = price;
		s['seats_name'] = name;
		selected.push(s);
		
		// to TABLE
		totalPrice = totalPrice + parseFloat(price);
		$('#summary tbody').append( $('<tr />').attr('id',id)
			.append(
				$('<td />').append( document.createTextNode(name) ))
			.append(
				$('<th />').append( document.createTextNode(price) ))
		);
		$('#summary tfoot th').text( 'Total price: '+totalPrice );
		$('div.grid').attr('style', '');
	}
	
	function removeSelected() {
		// from JSON
		switch ($(this).attr('class')) {
			case "selected":
				$(this).attr({'class':'available'});
				break;
			case "selected_vips":
				$(this).attr({'class':'vips'});
				break;
			case "available":
			case "vips":
				return;
		}
		var id = $(this).attr('data-id');
		var price = $(this).attr('data-price');
		$.each(selected, function(key, value){
			if (value['seats_id'] == id){
				if (duplicate == false) {
					var unblock = handleUnblock+"&seats_id="+id;
					$.ajax({
						url: unblock,
						async: false
					});
				}
				selected.splice(key,1);	
				duplicate = false;
				return false;
			}
		});
		
		// from TABLE
		totalPrice = totalPrice - parseFloat(price);
		$('#summary tr#'+id).remove();
		$('#summary tfoot th').text( 'Total price: '+totalPrice );
		if (totalPrice === 0){
			$('div.grid').attr('style', 'display:none;');
		}
	};
	
	
	if (vip_permissions) {
		$("#seat-plan span:not('.unavailable'):not('.reservation')").clicktoggle(addSelected, removeSelected);
	} else {
		$("#seat-plan span:not('.unavailable'):not('.vips'):not('.reservation')").clicktoggle(addSelected, removeSelected);
	}
	
	
	$('input[name=_reset]').on('click', function(e){
		$('#seat-plan span.selected').click();
		selected = [];
		totalPrice = 0;
		$('#summary tbody tr').remove();
		$('div.grid').attr('style', 'display:none;');
	});
	

	$('input[name="reserve"]').on('click', function(e) {
		if (selected.length !== 0){
			$.ajax({
				url: handleReserve+"&json="+encodeURIComponent(JSON.stringify(selected)),
				success:function(random){
					swal({
		    			title: "Reservation completed!",
		    			html: true,
		    			text: random,
		    			type: "success"	
		    		}, function(isConfirm){
						if (isConfirm) {	
				    		window.onbeforeunload = "";
				    		window.location.replace(window.location.href);
						}
					});
				},
				error:function(data){
					swal("Oops...", "Something went wrong.", "error");	
	  			}
			});

		} else {
			alert("You have to select some seat first.");
		}
	});


	$('input[name="check"]').on('click', function(e){
		if ($('input[name="code"]').val() != "") {
			$.ajax({
				url: handleCheckReservation+"&code="+$('input[name="code"]').val(),
				dataType: "json",
				success:function(ids){
					var duplicates = false;
					$.each(ids, function(id, available){
						$.each(selected, function(key, value){
							if (value['seats_id'] == id) {
								duplicates = true;
								return false;
							}
						});
						if (duplicates != true) {
							var span = $('span[data-id="'+id+'"]');
							span.attr('data-available') == '0_res' ? span.attr({'class':'available'}) : span.attr({'class':'vips'});
							$('#seat-plan span[data-id="'+id+'"]').clicktoggle(addSelected, removeSelected);
							span.click();
						}
						duplicates = false;
					});
				},
				error: function(data){
		    		if(data.statusText == "Reservation Code Was Used" || data.statusText == "Seats Not Found") {
						var msg = $.parseJSON(data.responseText);
			    		swal({
						  title: data.statusText,
						  text: msg.message,
						  type: "error"
						});
					} else {
						swal("Oops...", "Something went wrong.", "error");	
					}
				}
			});
		} else {
			swal('No Code Has Been Entered', 'Enter the reservation code to retrieve seats data.', 'warning');
		}
	});


	$('input[name="submit_fake"]').on('click', function(e){
		console.log(JSON.stringify(selected));
		if (JSON.stringify(selected) != "[]") {
			$('input[name="json"]:hidden').val(JSON.stringify(selected));
		    $('#frm-saleForm input[name="_submit"]').click();
			$('input[name="submit_fake"]').val("Loading...");
		} else {
			swal("No Selected Seats", "Please select any seats first.", "warning");
		}
	});
	
});