$(document).ready(function() {
	var coords = "";
	var zones = {};
	var seats_arr = [];
	var control = 0;
	
  	$('#plan img').click(function(e) {
    	var offset = $(this).offset();
    	var x = 0;
    	var y = 0;
    
    	x = e.pageX - offset.left < 0 ? 0 : Math.round(e.pageX - offset.left);
    	y = e.pageY - offset.top < 0 ? 0 : Math.round(e.pageY - offset.top);
    	
    	var img = $('<img>');
        img.css({'position':'absolute', 'top':e.pageY-5, 'left':e.pageX-5});
        img.attr({'src':'../images/seat-plan-point.gif', 'name':'point'});
        img.appendTo('#plan');
		
		coords += x+","+y+",";
  	});
  	
  	
  	/*
  	 * Removes all points.
  	 */
  	$('input[name="_reset"]').click(function(e) {
  		$('img[name=point]').remove();
  		coords = "";
  	});
  	
  	
  	/*
  	 * Saves zone to zones + validations.
  	 */
  	$('input[name="save"]').click(function(e) {
  		var zone = $('input[name="zonename"]').val();
  		var price = $('input[name="zoneprice"]').val();
  		
  		if ($('img[name=point]').length < 3){
        swal({
          title: "Warning!",
          text: "Two points define any zone. You have to choose at least 3 points.",
          type: "warning",
          confirmButtonColor: "#DD6B55"
        });
  			return false;	
  		}
  		
  		if (zone.length === 0 || price.length === 0){
        swal({
          title: "Warning!",
          text: "You have to enter zone name and price first.",
          type: "warning",
          confirmButtonColor: "#DD6B55"
        });
  			return false;
  		}
  		
  		if ($('textarea[name="upload"]').val().length === 0){
        swal({
          title: "Warning!",
          text: "You have to upload seats arrangement.",
          type: "warning",
          confirmButtonColor: "#DD6B55"
        });
  			return false;
  		} else if (seatValidation($('textarea[name="upload"]').val()) == false){
  			return false;	
  		}
  		
  		var unique = true;
  		$.each( zones, function( key, value ) {
			if (zone == key) {
        swal({
          title: "Warning!",
          text: "The name of zone already exists.",
          type: "warning",
          confirmButtonColor: "#DD6B55"
        });
				unique = false;
				return false;
			}
  		});
  		
	
		  if (unique === true) {
			  zones[zone] = {coords:coords.slice(0,-1), price:price, seats:seats_arr, number:control};

        console.log(JSON.stringify(zones));
		  	coords = "";	
		  	seats_arr = [];
		  	$('input[name="zonename"]').val("");
		  	$('input[name="zoneprice"]').val("");
		  	$('textarea[name="upload"]').val("");
		  	$('img[name=point]').attr('name', 'saved');
		  }
  	});
  	
  	
  	/*
  	 * Seats arrangement validation
  	 */
  	function seatValidation(file) {
  		file = file.replace(" ","");
  		file = file.replace("\n","");
  		file = file.replace("\r","");
  		file = file.replace("\r\n","");
  		var rows = file.split(";");
  		for(var i = 0; i<rows.length; i++){
        var row_name = rows[i].substr(0, rows[i].indexOf(':'));
        var row = rows[i].substr(rows[i].indexOf(':')+1,rows[i].length);
        console.log(i);
        console.log(row_name);
        
  			var line = i+1;
		    if (row.substr(0,1) != "(") {
          swal({
            title: "Warning!",
            text: "You have a syntax error at seat row "+line+".\nRow seats have to start with '(', instead saw '"+row.substr(0,1)+"'.\nCheck if you don't have \" ; \" at the end of all rows or \"enter\" somewhere.",
            type: "warning",
            confirmButtonColor: "#DD6B55"
          });
		      seats_arr = [];
		      return false;
		    }
		    if (row.substr(row.length-1) != ")") {
          swal({
            title: "Warning!",
            text: "You have a syntax error at seat row "+line+".\nRow seats have to end with ')', instead saw '"+row.substr(row.length-1)+"'.",
            type: "warning",
            confirmButtonColor: "#DD6B55"
          });
		      seats_arr = [];
		      return false;
		    }

		    var seats = row.slice(1,-1).split(",");
		    if (i !== 0){
		      if(seats.length != control){
		        var line = i+1;
            swal
		       	return false;
		      }
		    } else {
		      control = seats.length;
		    }
		    
        var seats_named = [];
        for(var j = 0; j<seats.length; j++){
          var seat = seats[j].split(":");
          seats_named[j] = {seats_name:row_name+seat[0], seats_price:seat[1]};
        };

		    seats_arr[i] = seats_named;
  		}		
  	}
  	
  	
  	/*
  	 * Adds json to hidden input.
  	 */
  	$('input[name="submit_fake"]').click(function(e) {
  		if ($('input[name="zonename"]').val().length !== 0 || $('input[name="zoneprice"]').val().length !== 0 || $('textarea[name="upload"]').val().length !== 0){
  			
        swal({
		      title: "Unsaved zone!",
		      text: "You should save the zone first. Do you want to continue without saving the zone?",
		      type: "warning",
		      showCancelButton: true,
		      confirmButtonColor: "#DD6B55",
		      confirmButtonText: "Yes!",
		      cancelButtonText: "No!"
		    },
		    function (isConfirm) {
		      if (isConfirm) {
  				  $('input[name=json]:hidden').val(JSON.stringify(zones));
            $('#frm-zoneForm').submit();
            $('input[name="submit_fake"]').val("Loading...");
		      }
		    });
  		} else {
        $('input[name=json]:hidden').val(JSON.stringify(zones));
        $('#frm-zoneForm').submit();
        $('input[name="submit_fake"]').val("Loading...");

      }
  	});
  	
  	
});